Accepted: php5 5.2.6-2ubuntu1 (source)

Chuck Short zulcss at ubuntu.com
Thu Jul 17 20:50:28 BST 2008


Accepted:
 OK: php5_5.2.6.orig.tar.gz
 OK: php5_5.2.6-2ubuntu1.diff.gz
 OK: php5_5.2.6-2ubuntu1.dsc
     -> Component: main Section: web

Upload Warnings:
No copyright file found.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 17 Jul 2008 15:16:15 +0100
Source: php5
Binary: php5 php5-common libapache2-mod-php5 libapache2-mod-php5filter php5-cgi php5-cli php5-dev php5-dbg php-pear php5-curl php5-gd php5-gmp php5-ldap php5-mhash php5-mysql php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase php5-tidy php5-xmlrpc php5-xsl
Architecture: source
Version: 5.2.6-2ubuntu1
Distribution: intrepid
Urgency: high
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Chuck Short <zulcss at ubuntu.com>
Description: 
 libapache2-mod-php5 - server-side, HTML-embedded scripting language (Apache 2 module)
 libapache2-mod-php5filter - server-side, HTML-embedded scripting language (apache 2 filter mo
 php-pear   - PEAR - PHP Extension and Application Repository
 php5       - server-side, HTML-embedded scripting language (metapackage)
 php5-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php5-cli   - command-line interpreter for the php5 scripting language
 php5-common - Common files for packages built from the php5 source
 php5-curl  - CURL module for php5
 php5-dbg   - Debug symbols for PHP5
 php5-dev   - Files for PHP5 module development
 php5-gd    - GD module for php5
 php5-gmp   - GMP module for php5
 php5-ldap  - LDAP module for php5
 php5-mhash - MHASH module for php5
 php5-mysql - MySQL module for php5
 php5-odbc  - ODBC module for php5
 php5-pgsql - PostgreSQL module for php5
 php5-pspell - pspell module for php5
 php5-recode - recode module for php5
 php5-snmp  - SNMP module for php5
 php5-sqlite - SQLite module for php5
 php5-sybase - Sybase / MS SQL Server module for php5
 php5-tidy  - tidy module for php5
 php5-xmlrpc - XML-RPC module for php5
 php5-xsl   - XSL module for php5
Closes: 321460 388808 481737 482517 483461
Launchpad-Bugs-Fixed: 165247 240519
Changes: 
 php5 (5.2.6-2ubuntu1) intrepid; urgency=low
 .
   * Merge from debian unstable, remaining changes:
     - debin/control, debian/rules: Disable a few build dependencies and
       accompanying binary pckages which we do not want to support in main:
       + freebird2-dev/php5-interbase (we have a seperate php-interbase source)
       + libc-client-dev/php5-imap (we have a seperate php-imap source)
       + libmcrypt-dev/php5-mcrypt (seperate php-mcrypt source)
       + readline support again, now that the libedit issue is fixed.
     - debian/control: Add build dependency: libedit-dev (>= 2.9.cvs.20050518-1)
       CLI readline support
     - debian/rules:
       + Correctly mangle PHP5_* macros for lpia
     - debian/patches/use-specific-libdb-version.patch (LP: #165247), mangle
       version ordering in patch to match code for clean application.
     - debian/patches/119-sybase-alias.patch:
       + Fix sybase regression since change to msqql. (LP: #240519)
     - debian/control: Use libdb-4.6-dev
 .
 php5 (5.2.6-2) unstable; urgency=high
 .
   [ Raphael Geissert ]
   * Lintian-based changes:
     - also install a lintian override for libapache2-mod-php5filter
     - fixed the generic lintian overrides so they are meaningful
     - dropping linda overrides, linda is gone now
     - s/meta-package/metapackage
   * debian/control:
     - Updated php5's description so it mentions three instead of
        only two server-side SAPIs
     - Depend on php5-cli in php-pear (Closes: #482517)
       + Previous change reverted because of PEAR packages FTBFS
     - {B-,}Depend on tzdata to avoid crashes caused by the tz ext patch
     - Dropped some versioned {b-,}dependencies that are satisified
        even on sarge
   * php.ini-*: state that when using a custom save_path,
     gc_probability should also be set (Closes: #388808, #321460)
   * tzdb-nofree_ents_ifnotzdata.patch: avoid free'ing ents when the tz dir does
     not exist (Closes: #483461)
 .
   [ Sean Finney ]
   * Fix for CVE-2008-2829: unsafe usage of deprecated imap functions
     Patch: CVE-2008-2829.patch
   * Modifications to suhosin.patch due to alignment problems on some
     architectures.  Thanks to Stefan Esser for the initial suggestion.
     (Closes: #481737).
   * Rename the apache2 filter module to libphp5filter.so, to prevent
     conflicting filenames for symbols in the debug package.
Files: 
 a4f1aac4d0f8d02c761fa62ccdb5127c 2136 web optional php5_5.2.6-2ubuntu1.dsc
 97fbff9940d5f16361f82e77837c8b26 159822 web optional php5_5.2.6-2ubuntu1.diff.gz
Original-Maintainer: Debian PHP Maintainers <pkg-php-maint at lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIf5sRIHZ33voUATsRAvbCAKCp2vbeXFty4UGP6vZu6DBr9054oQCfax/4
NPOausE57Kr4vhMv3PG7v90=
=1eT3
-----END PGP SIGNATURE-----





More information about the Intrepid-changes mailing list